package lexer

import "github.com/mmakaay/toml/parser"

// Values must be of the following types: String, Integer, Float, Boolean,
// Datetime, Array, or Inline Table. Unspecified values are invalid.
func stateValue(l *parser.Parser) parser.StateFn {
	l.SkipConsecutive(whitespace)
	if l.Upcoming(quoteChars) {
		return stateStringValue
	}
	return l.UnexpectedInputError("a value")
}
